--- a/src/amd/vulkan/meta/radv_meta.c
+++ b/src/amd/vulkan/meta/radv_meta.c
@@ -457,18 +457,27 @@ radv_device_init_meta(struct radv_device *device)
       vk_texcompress_etc2_init(&device->vk, &device->meta_state.etc_decode);
    }
 
-   if (pdev->emulate_astc) {
-      result = vk_texcompress_astc_init(&device->vk, &device->meta_state.alloc, device->meta_state.cache,
-                                        &device->meta_state.astc_decode);
-      if (result != VK_SUCCESS)
-         return result;
-   }
-
-   if (device->vk.enabled_features.nullDescriptor) {
-      result = radv_device_init_null_accel_struct(device);
-      if (result != VK_SUCCESS)
-         return result;
-   }
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: some trash.
+// if (pdev->emulate_astc) {
+//    result = vk_texcompress_astc_init(&device->vk, &device->meta_state.alloc, device->meta_state.cache,
+//                                      &device->meta_state.astc_decode);
+//    if (result != VK_SUCCESS)
+//       return result;
+// }
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: Konstantin Seurer
+//   if (device->vk.enabled_features.nullDescriptor) {
+//      result = radv_device_init_null_accel_struct(device);
+//      if (result != VK_SUCCESS)
+//         return result;
+//   }
 
    return VK_SUCCESS;
 }
@@ -481,12 +490,22 @@ radv_device_finish_meta(struct radv_device *device)
    if (pdev->emulate_etc2)
       vk_texcompress_etc2_finish(&device->vk, &device->meta_state.etc_decode);
 
-   if (pdev->emulate_astc) {
-      if (device->meta_state.astc_decode)
-         vk_texcompress_astc_finish(&device->vk, &device->meta_state.alloc, device->meta_state.astc_decode);
-   }
-
-   radv_device_finish_accel_struct_build_state(device);
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: some trash.
+//   if (pdev->emulate_astc) {
+//      if (device->meta_state.astc_decode)
+//         vk_texcompress_astc_finish(&device->vk, &device->meta_state.alloc, device->meta_state.astc_decode);
+//   }
+
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: Konstantin Seurer
+//   radv_device_finish_accel_struct_build_state(device);
 
    radv_store_meta_pipeline(device);
    vk_common_DestroyPipelineCache(radv_device_to_handle(device), device->meta_state.cache, NULL);
